Skip to main content
GET
/
api
/
v1
/
customers
/
{customer_id}
/
payment_methods
List payment methods
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/customers/{customer_id}/payment_methods \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "status": "<string>",
      "provider": "<string>",
      "chain": "<string>",
      "currency": "<string>",
      "source_currency": "<string>",
      "destination_currency": "<string>",
      "bank_account_type": "<string>",
      "bankDetails": {
        "accountNumber": "<string>",
        "accountName": "<string>",
        "accountType": "<string>",
        "bankName": "<string>",
        "branchCode": "<string>",
        "ispb": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

customer_id
string<uuid>
required

Query Parameters

type
string

Filter by payment method type (case-insensitive)

status
string

Filter by status (case-insensitive)

provider
string

Filter by provider (case-insensitive)

Response

200 - application/json

Payment method list

msg
string
required

Human-readable message describing the result

data
object[]
required

Response payload (null on error)